Skip to content

Your data / PVP tracker / Matches

Get a match

GET
https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/matches/:matchId

Gets a match.

Parameters

  • seasonId (path): The season id.
  • matchId (path): The match id.

Authentication

Bearer Token — send Authorization: Bearer <token>. Inherited from folder "Your data".

Path parameters

NameValue
seasonId
matchId
curl https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/matches/:matchId \
  -H 'Authorization: Bearer {{api_key}}'
Response
{
  "data": {
    "id": "kd7c9s359tzb40zpp1xxr5m23d8e96ye",
    "createdAt": "2026-09-12T18:25:20.987Z",
    "date": 1789074000000,
    "enemyPresetId": "md7bhbqc3pdtptx2w6xkj2kv3d8e2pcz",
    "matchType": "attack",
    "opponentName": "Hinanbu",
    "opponentStudentRepId": "misaka_mikoto",
    "opponentTeam": [
      {
        "studentId": "shun",
        "damage": 584686
      },
      {
        "studentId": "hoshino_battle_dealer",
        "damage": 139014
      },
      {
        "studentId": "marina",
        "damage": 58185
      },
      {
        "studentId": "shiroko_terror",
        "damage": 1631926
      },
      {
        "studentId": "hibiki",
        "damage": 2059301
      },
      {
        "studentId": "shiroko_swimsuit",
        "damage": 0
      }
    ],
    "opponentTeamKey": "68a885102ce96189",
    "ownTeam": [
      {
        "studentId": "shiroko_terror",
        "damage": 1513971
      },
      {
        "studentId": "yuuka",
        "damage": 110235
      },
      {
        "studentId": "mika",
        "damage": 334593
      },
      {
        "studentId": "eimi",
        "damage": 224859
      },
      {
        "studentId": "reisa_magical",
        "damage": 5599
      },
      {
        "studentId": "utaha",
        "damage": 327809
      }
    ],
    "ownTeamKey": "87c5db1146f598f0",
    "result": "win",
    "seasonId": "kh73y62jqqhmwbxbnrtpdfe7w18dydwx"
  }
}

Joe's Blue Archive Tools API · exported Nov 1, 2026

llms.txtBuilt with yaakdoc